program hello_world
include 'mpif.h'
integer ierr
integer myrank, size

    call MPI_INIT ( ierr )
    print *, "Hello world"

    call MPI_Comm_rank(MPI_COMM_WORLD, myrank, ierr);
    call MPI_Comm_size(MPI_COMM_WORLD, size, ierr);
    print *, "Hello World! I am rank ",myrank," of ", size

call MPI_FINALIZE ( ierr )

end program hello_world
